
# Les imports nécessaires
import sys
import os
import glob
from astropy.io.fits import getheader
from astropy.io import fits
from astropy.time import Time
from astropy.table import Table

# Passage d'argument (ici un nom d'image FITS)
img_name = sys.argv[1]
head_1 = getheader(img_name)

# Il y a une 2e méthode
hdu = fits.open(img_name)
head_2 = hdu[0].header

print(head_1[15], head_2[15])
print(head_1['DATE-OBS'], head_2['DATE-OBS'])
date_obs = Time(head_1['DATE-OBS'])
jd_obs = date_obs.jd
mjd_obs = date_obs.mjd

# Créons une table des DATE-OBS en différents formats de toutes les images du même dossier
dir_img = os.path.dirname(img_name)
list_img1 = glob.glob(os.path.join(dir_img, '*.fits'))
list_img2 = glob.iglob(os.path.join(dir_img, '*.fits'))

# Il nous faut des listes vides
list_date, list_jd, list_mjd = [], [], []
for img in list_img2:
    print('Processing image', os.path.basename(img), end=' ... ')
    head_2 = getheader(img)
    date_obs = Time(head_2['DATE-OBS'])
    list_date.append(date_obs.isot)
    list_jd.append(date_obs.jd)
    list_mjd.append(date_obs.mjd)
    print('done')

# Il faut sauver le soldat Ry..., euh, la table des résultats
table_date = Table()
table_date['date_obs'] = list_date
table_date['jd_obs'] = list_jd
table_date['mjd_obs'] = list_mjd
table_date.write(os.path.join(os.path.dirname(dir_img), 'mes_data_times.csv'), format='ascii.csv', overwrite=True)

print('Process completed')
exit(0)
